use std::{collections::HashMap, str::FromStr};

use winnow::prelude::*;

use crate::parser::el_parser;

mod parser;
mod element;
mod util;

const TEST_IHL: &str = "
html {
    head {
        title \"test file!\"
    }
    body {
        h1 \"hello world\"
        p \"this is a test file\"
        p {
            \"some text followed by \"
            a [ href = \"https://schrottkatze.de\" ] \"a hyperlink\"
        }
    }
}
";

fn main() {
    let (remainder, e) = el_parser.parse_next(TEST_IHL).unwrap();

    println!("{e}");
}

type Name<'a> = &'a str;

enum Token<'a> {
    Name(Name<'a>),
    Text(&'a str),
    Number(i32), // TODO: more complex number type
                 //
    BlockBrackets(Vec<Token<'a>>), // [] block
    BlockBraces(Vec<Token<'a>>), // {} block
    BlockParentheses(Vec<Token<'a>>), // () block

    PunctColon, // :
    PunctSemi, // ;
    PunctComma, // ,
    PunctDot, // .

    KwItem, // `item` defines a new simple ish item type
}


